Bug 470750 - NetworkManager no longer manages Intel 3945ABG wifi
NetworkManager no longer manages Intel 3945ABG wifi
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 19:21 EST by Joshua Wulf
Modified: 2014-10-19 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-18 10:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2008-11-09 19:21:26 EST
Description of problem:
My 0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02) is no longer managed by NetworkManager

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.11.svn4022.4.fc9.i386

How reproducible: 100%

Steps to Reproduce:
1. Start Network Manager
2. Try to connect to wireless network using nmapplet
3.
  
Actual results:
nmapplet reports wireless networking unmanaged

/var/log/messages shows:
Nov 10 09:56:36 deva NetworkManager: <info>  wlan0: driver is 'iwl3945'.
Nov 10 09:56:36 deva NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
Nov 10 09:56:36 deva NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
Nov 10 09:56:36 deva NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_1c_bf_8b_8b_c4
Nov 10 09:56:36 deva NetworkManager: <info>  (wlan0): now unmanaged




Expected results:


Additional info:

/etc/NetworkManager/nm-system-settings.conf 

[main]
plugins=ifcfg-fedora
Comment 1 Dan Williams 2008-11-17 14:01:12 EST
Did you check the "Managed by NetworkManager" box in system-config-network?  That makes NM ignore the device, and that's the only way this can happen.
Comment 2 Joshua Wulf 2008-11-17 17:36:32 EST
That was it - thanks!

I didn't change that setting though - what could have done that?
Comment 3 Dan Williams 2008-11-18 10:10:16 EST
It's a setting in the ifcfg file (NM_CONTROLLED), and when it's _not_ present, both system-config-network and NM will assume they can control the interface.  HOwever, when system-config-network does not find NM_CONTROLLED in the ifcfg file, it will add NM_CONTROLLED=no.  Thus, the first time you save a config with system-config-network, it may disable NM from controlling the device.

Note You need to log in before you can comment on or make changes to this bug.